Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000529 [Piwigo] warnings major always 2006.08.21 18:53 2007.04.29 17:36
Reporter thyde View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.0 Product Version 1.6.1
  Target Version Product Build
Summary 0000529: "Wrong datatype for second argument"
Description Bonjour,

J'obtiens ce message au moment de cliquer sur une miniature (version 1.6.1 installée):


Warning: in_array(): Wrong datatype for second argument in /home/wb42134/phpwebgallery/picture.php on line 43

Warning: Cannot modify header information - headers already sent by (output started at /home/wb42134/phpwebgallery/picture.php:43) in /home/wb42134/phpwebgallery/include/functions_html.inc.php on line 602

Warning: Cannot modify header information - headers already sent by (output started at /home/wb42134/phpwebgallery/picture.php:43) in /home/wb42134/phpwebgallery/include/functions_html.inc.php on line 603

Warning: Cannot modify header information - headers already sent by (output started at /home/wb42134/phpwebgallery/picture.php:43) in /home/wb42134/phpwebgallery/include/page_header.php on line 67
Steps To Reproduce Cliquer sur la vignette à l'adresse:

http://www.aetsrum.org/phpwebgallery/index.php?/category/1 [^]
Additional Information Voir, sur le forum:

http://forum.phpwebgallery.net/viewtopic.php?id=8697 [^]

et

http://forum.phpwebgallery.net/viewtopic.php?id=8463 [^] (en bas de la page, xinu91 rapporte exactement le même message d'erreur)
Tags No tags attached.
browser any
Database engine and version MySQL: 4.1.12-log
PHP version PHP: 4.4.2
Web server Apache 1.3.37
Attached Files ? file icon test_IIS2.php [^] (500 bytes) 2007.01.02 23:07
? file icon test_IIS.php [^] (1,140 bytes) 2007.01.02 23:07

- Relationships
related to 0000726closedrub script_basename returns bad result 

-  Notes
(0001405)
thyde (reporter)
2006.08.22 22:13
edited on: 2006.08.22 22:14

xinu91, qui rencontre le même problème, a précisé dans le forum qu'il a la même configuration serveur.

(0001408)
evangelinator (reporter)
2006.08.24 19:08
edited on: 2006.08.24 19:09

J'ai exactement le meme probleme. Je suis chez orange avec la version 4.4.1 de PHP :


Warning: in_array(): Wrong datatype for second argument in /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/picture.php on line 43

Warning: Cannot modify header information - headers already sent by (output started at /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/picture.php:43) in /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/include/functions_html.inc.php on line 602

Warning: Cannot modify header information - headers already sent by (output started at /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/picture.php:43) in /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/include/functions_html.inc.php on line 603

Warning: Cannot modify header information - headers already sent by (output started at /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/picture.php:43) in /var/www/data/woo/G/T/H/F/GTHFA43K/phpwebgallery/include/page_header.php on line 67

(0001416)
elguaro (reporter)
2006.09.05 01:20
edited on: 2006.09.05 01:24

After enabling logging in php.ini there's an error that comes up before "Wrong datatype":

Notice: Undefined index: SCRIPT_FILENAME in D:\hshome\elguaro\blog.elguaro.net\gallery\include\section_init.inc.php on line 89


SCRIPT_FILENAME is not defined in IIS.

A workaround for this is

if( !isset($_SERVER['SCRIPT_FILENAME'] )
{
   $_SERVER['SCRIPT_FILENAME'] = $_SERVER['PATH_TRANSLATED'];
}

That works for IIS running in CGI/FastCGI mode.

I added this to my common include file and can now open the vignettes fine.

You better check if PATH_TRANSALATED is defined in your server though. You can use <?php phpinfo(); ?> to find out.

(0001419)
yves (reporter)
2006.09.06 16:24
edited on: 2006.09.07 16:55

moi aussi, exactement le même pb

Warning: in_array(): Wrong datatype for second argument in ...picture.php on line 43

ect...

Impossible d'ouvrit une vignette.
SE FreeBSD
PHP: 4.4.2
MySQL: 4.1.12-log
IE6 SP2
J'ai monté une version 1.6.1 telle que.
J'ai essayé d'ajouter le code de elguaro, mais rien de mieux

(0001600)
strotti (reporter)
2006.12.27 00:00

Hello,

i had the same issue with phpwebgallery 1.6.1 and now with 1.6.2 and i almost gave up trying to find a solution.

But...i found one: i did the same as yves in this thread and it worked for me.

http://forum.phpwebgallery.net/viewtopic.php?id=8858 [^]

I'm wondering why the developpement team doesn't try to implement this solution.

I'm not sure that this is the best way to do but... it works...

"

yves
    Member

Re: y aurait-il quelqu'un ? que je remercie; plante au clic sur vignette

c'est vrais que si j'avais eu un petit mot d'encouragement (on cherche ...) mais rien. enfin, ma stratégie a fonctionné car tu m'as répondu !
merci donc. Et même si changer d'hébergeur ça ne se fait pas comme de chemise...

Bon,
j'ai trouvé ça qui résoud le problème, pour moi en tout cas;

Include\section_init.inc.php
Ligne 89

if (basename($_SERVER['SCRIPT_FILENAME']) == 'picture.php')

ne renvoie rien du tout

je l'ai remplacé par

if (substr($_SERVER['PHP_SELF'],strlen($_SERVER['PHP_SELF'])-11, 11) == 'picture.php')

et ça ça marche. Que je suis content !

""
(0001601)
rub (developer)
2006.12.27 14:35

Le topic a commencé en Français, je le continue donc en Français.

Pour corriger tous les $_SERVER['SCRIPT_FILENAME'], 2 solutions me viennent à l'esprit:
  1 Affectation d'une valeur à $_SERVER['SCRIPT_FILENAME'] si elle est vide (Solution de elguaro mais en effectuant des tests sur les variables de substitutions ou en utilisant $_SERVER['PHP_SELF'])
  2 Gestion interne d'un variable pour chaque .php

La suite de la discussion ici http://forum.phpwebgallery.net/viewtopic.php?pid=51072#p51072 [^]
(0001608)
VDigital (reporter)
2006.12.29 18:53

En français...
AMHA devrait être inclus dans la sortie de la 1.6.3
(0001611)
rub (developer)
2006.12.30 00:04

Je vais partir sur la solution 1.
Je fournirais un petit fichier test en php pour le tester sur un serveur IIS afin de valider les correctifs. N'ayant pas IIS sous la main, j'espère que quelqu'un pourra le tester.
(0001612)
VDigital (reporter)
2006.12.30 08:59

"Un petit fichier test en php pour le tester sur un serveur IIS afin de valider les correctifs."
Ça je peux le faire tourner mais je ne peux pas installer même une 1.6.3 pour l'instant sur mon hébergement / IIS : Je suis aux taquets.
(0001617)
rub (developer)
2006.12.31 00:10

Pour faire le test, il suffit de récupérer les fichiers test_IIS.php et test_IIS2.php
Puis de lancer uniquement test_IIS.php.

Pour les résultats, il suffit de me les copier dans cette ficher (dans la partie phpinfo) ou bien de donner un lien vers le script sur votre serveur IIS.

Si vous avez "function script_basename is OK", c'est que les test est concluant.

Merci d'avance à tout ceux qui vont faire le test.
(0001618)
rub (developer)
2006.12.31 11:51

Merci à strotti et VDigital pour leurs tests.
La casse n'est pas la même suivant les systèmes (et les variables aussi en passant).
J'ai mis à jour le fichier test_IIS.php pour de nouveau tests.

Merci bien! ;-)
(0001619)
rub (developer)
2006.12.31 18:00

Résolu avec les 2 commits suivants [Subversion] r1686 et [Subversion] r1687.

Pour tester les modifications, je vais indiquer les changements à faire dans le topic http://forum.phpwebgallery.net/viewtopic.php?pid=51072#p51072 [^]

En cas de soucis, remontez le problème dans le topic ci-dessus.

Bonne Année à tous!
(0001625)
rvelices (developer)
2007.01.02 15:31

J'ai un probleme avec les dernier commits avec Apache Options +Multiviews, la config question_mark_in_urls = false et php_extension_in_urls = false :

seulement SCRIPT_FILENAME marche dans ce cas. SCRIPT_NAME et PHP_SELF ne sont pas utilisables.
(0001626)
rub (developer)
2007.01.02 18:18

>J'ai un probleme avec les dernier commits avec Apache Options +Multiviews, la >config question_mark_in_urls = false et php_extension_in_urls = false :
C'est à dire quel style de problème?

>seulement SCRIPT_FILENAME marche dans ce cas. SCRIPT_NAME et PHP_SELF ne sont pas >utilisables
Qu'est-ce que tu entends par non utilisables?

Si php_extension_in_urls = false, il faut rajouter dans ma fonction .php, c'est ca?

Par contre pour question_mark_in_urls, je ne vois pas!
(0001627)
rub (developer)
2007.01.02 18:40

Je vais en fait plus partir sur un basename qui retire l'extension .php.
Comme ca, le probleme du php_extension_in_urls sera résolu.

Pour le question_mark_in_urls, je ne vois pas vraiment pas ce qu'il va pas. Je vais donc attendre tes explications.
(0001628)
rub (developer)
2007.01.02 19:08

rvelices, j'ai pu tester avec "Options +MultiViews" dans .htaccess mais avec "AcceptPathInfo on" mon apache n'était pas de version > 2.

En quoi "AcceptPathInfo on" joue sur les variables?

Des ce soir, j'aurais peut-être le temps de tester sur une version d'apache plus récente.
(0001629)
rvelices (developer)
2007.01.02 19:15
edited on: 2007.01.02 19:17

Si j'ai le script /phpinfo.php que j'appele avec /phpinfo/categories (mes urls sont du style picture/IMG_4650/tags/nature ), on a:

SCRIPT_FILENAME /home/xxx/public_html/phpinfo.php
SCRIPT_NAME /phpinfo
PATH_INFO /categories
PATH_TRANSLATED /home/xxx/public_html/categories
PHP_SELF /categories

par consequent ta fonction script_basename utilise SCRIPT_NAME qui ne contient pas .php, donc je n'aurais jamais 'picture.php', mais seulement 'picture'

Tout ceci sur Apache 1.3 (mais Apache 2 fait pareil)

(0001631)
rub (developer)
2007.01.02 23:10

J'ai remis à jour les 2 fichiers de tests (test_IIS.php & test_IIS2.php) avec les remontées de rvelices.

>Tout ceci sur Apache 1.3 (mais Apache 2 fait pareil)
A priori, "AcceptPathInfo on n'a pas d'effet.
Par contre, avec "Options +MultiViews", la valeur de $_SERVER['SCRIPT_NAME'] n'est pas le même (avec Apache 2, j'ai le php)
(0001632)
rub (developer)
2007.01.02 23:27
edited on: 2007.01.02 23:47

J'espère que ca ira mieux avec les derniers commits [Subversion] r1689 & [Subversion] r1690 & [Subversion] r1691 & [Subversion] r1692.

RDV dans le topic http://forum.phpwebgallery.net/viewtopic.php?pid=51072#p51072 [^] pour le retour de vos tests.

(0001834)
rub (developer)
2007.04.29 17:17

Problem occurs with a other configuration without explicit index.php!

http://forum.phpwebgallery.net/viewtopic.php?id=10526 [^]
(0001835)
rub (developer)
2007.04.29 17:36

[Subversion] r1989 & [Subversion] r1990

- Issue History
Date Modified Username Field Change
2006.08.21 18:53 thyde New Issue
2006.08.21 18:53 thyde browser => any
2006.08.21 18:53 thyde MySQL version => MySQL: 4.1.12-log
2006.08.21 18:53 thyde PHP version => PHP: 4.4.2
2006.08.21 18:53 thyde Web server => Apache 1.3.37
2006.08.22 22:13 thyde Note Added: 0001405
2006.08.22 22:14 thyde Note Edited: 0001405
2006.08.22 22:14 thyde Issue Monitored: thyde
2006.08.24 19:08 evangelinator Note Added: 0001408
2006.08.24 19:09 evangelinator Note Edited: 0001408
2006.08.24 19:49 evangelinator Issue Monitored: evangelinator
2006.08.28 12:56 Cheddarmonger Issue Monitored: Cheddarmonger
2006.09.03 03:36 elguaro Issue Monitored: elguaro
2006.09.05 01:20 elguaro Note Added: 0001416
2006.09.05 01:22 elguaro Note Edited: 0001416
2006.09.05 01:24 elguaro Note Edited: 0001416
2006.09.05 06:09 thyde Note Added: 0001417
2006.09.05 06:10 thyde Note Edited: 0001417
2006.09.05 06:16 thyde Note Edited: 0001417
2006.09.05 07:52 thyde Note Deleted: 0001417
2006.09.06 16:22 yves Note Added: 0001418
2006.09.06 16:24 yves Note Added: 0001419
2006.09.06 16:54 yves Note Deleted: 0001418
2006.09.06 16:56 yves Note Edited: 0001419
2006.09.07 16:55 yves Note Edited: 0001419
2006.09.11 14:17 yves Issue Monitored: yves
2006.09.11 14:18 yves Issue End Monitor: yves
2006.10.08 11:33 fanmon1 Issue Monitored: fanmon1
2006.12.27 00:00 strotti Note Added: 0001600
2006.12.27 14:35 rub Note Added: 0001601
2006.12.29 18:53 VDigital Note Added: 0001608
2006.12.30 00:02 rub Status new => assigned
2006.12.30 00:02 rub Assigned To => rub
2006.12.30 00:04 rub Note Added: 0001611
2006.12.30 08:59 VDigital Note Added: 0001612
2006.12.31 00:05 rub File Added: test_IIS.php
2006.12.31 00:06 rub File Added: test_IIS2.php
2006.12.31 00:10 rub Note Added: 0001617
2006.12.31 11:49 rub File Deleted: test_IIS.php
2006.12.31 11:49 rub File Added: test_IIS.php
2006.12.31 11:51 rub Note Added: 0001618
2006.12.31 18:00 rub Status assigned => resolved
2006.12.31 18:00 rub Fixed in Version => 1.6.3
2006.12.31 18:00 rub Resolution open => fixed
2006.12.31 18:00 rub Note Added: 0001619
2007.01.01 18:49 evangelinator Issue End Monitor: evangelinator
2007.01.02 15:31 rvelices Status resolved => feedback
2007.01.02 15:31 rvelices Resolution fixed => reopened
2007.01.02 15:31 rvelices Note Added: 0001625
2007.01.02 18:18 rub Note Added: 0001626
2007.01.02 18:40 rub Note Added: 0001627
2007.01.02 19:08 rub Note Added: 0001628
2007.01.02 19:15 rvelices Note Added: 0001629
2007.01.02 19:17 rvelices Note Edited: 0001629
2007.01.02 23:06 rub File Deleted: test_IIS2.php
2007.01.02 23:06 rub File Deleted: test_IIS.php
2007.01.02 23:07 rub File Added: test_IIS2.php
2007.01.02 23:07 rub File Added: test_IIS.php
2007.01.02 23:10 rub Note Added: 0001631
2007.01.02 23:27 rub Status feedback => resolved
2007.01.02 23:27 rub Resolution reopened => fixed
2007.01.02 23:27 rub Note Added: 0001632
2007.01.02 23:46 rub Status resolved => feedback
2007.01.02 23:46 rub Resolution fixed => reopened
2007.01.02 23:47 rub Note Edited: 0001632
2007.01.02 23:47 rub Status feedback => resolved
2007.01.02 23:47 rub Resolution reopened => fixed
2007.01.26 23:45 rub Status resolved => closed
2007.04.29 17:17 rub Status closed => feedback
2007.04.29 17:17 rub Resolution fixed => reopened
2007.04.29 17:17 rub Note Added: 0001834
2007.04.29 17:36 rub Status feedback => closed
2007.04.29 17:36 rub Note Added: 0001835
2007.04.29 17:36 rub Resolution reopened => fixed
2007.04.29 17:36 rub Fixed in Version 1.6.3 => 1.7.0RC3
2007.07.24 21:16 rub Relationship added related to 0000726


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker